<?php
/**
 * Prohibit direct script loading
 */
defined('ABSPATH') || die('No direct script access allowed!');

/**
 * Interface WpmsRedirectExporter
 * Represents a redirect export
 */
interface WpmsRedirectExporter
{
    /**
     * Export
     *
     * @param object $redirects Redirects
     *
     * @return mixed
     */
    public function export($redirects);

    /**
     * Format
     *
     * @param WpmsRedirect $redirect WpmsRedirects class
     *
     * @return mixed
     */
    public function format(WpmsRedirect $redirect);
}
